Bug 68791 - Bundle OpenJDK build with Windows installer
Summary: Bundle OpenJDK build with Windows installer
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-31 13:28 UTC by david.vantyghem
Modified: 2015-09-04 03:00 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david.vantyghem 2013-08-31 13:28:12 UTC
Hello,

Since last week, Alex KASKO released a compiled version of OpenJDK for Windows 32 and 64 bits. It would be great to add it to LibreOffice, so LibreOffice would become a 100 % free software.
OpenJDK binaries : https://github.com/alexkasko/openjdk-unofficial-builds
Comment 1 Urmas 2013-09-01 06:45:09 UTC
The last thing LO needs is a bundled piece of insecure junk called Java.
Comment 2 david.vantyghem 2013-09-01 06:54:24 UTC
Perhaps. But for three years, I'm asking when LibreOffice will not use anymore JAVA and each year, I've got the same answer : it will be done soon. I'm sure that in 10 years, LibreOffice will still need JAVA for databases etc.
So, it would be a good idea to use OpenJDK instead of saying people "download and install Oracle JAVA on java.fr".
Comment 3 tommy27 2013-11-24 20:25:33 UTC
enhancement request. set status to NEW. changed platform to ALL and version to "inherited from OOo"
Comment 4 Robinson Tryon (qubit) 2013-11-24 22:07:51 UTC
How much bigger would this make our downloads/installs?
Comment 5 Maxim Monastirsky 2013-11-25 07:40:00 UTC
Changed 'Component' to 'Installation' and 'Platform' to 'Windows' (It's not needed under Linux, since users can easily install OpenJDK from their distro repositories). Also corrected summary (LO already can use the mentioned OpenJDK build, the request here is to bundle it with the installer).

(In reply to comment #2)
> I'm sure that in 10 years, LibreOffice will still need JAVA for databases
> etc.
I don't think it will be the case. The upcoming 4.2 version will contain a database engine which is not java dependant (although 4.2 Base still depend on java, because some wizards aren't ported yet).
Comment 6 david.vantyghem 2013-11-25 18:07:11 UTC
(In reply to comment #4)
> How much bigger would this make our downloads/installs?

It's not necessary to add OpenJDK in the LibreOffice package. Simply replace the link "visitez http://java.com/fr/ (site officiel de Java)" on the page http://fr.libreoffice.org/telecharger/ by "visitez https://github.com/alexkasko/openjdk-unofficial-builds".
I don't know if there are other pages like this in other langages.
Comment 7 Robinson Tryon (qubit) 2013-11-25 20:15:30 UTC
(In reply to comment #6)
> It's not necessary to add OpenJDK in the LibreOffice package. Simply replace
> the link "visitez http://java.com/fr/ (site officiel de Java)" on the page
> http://fr.libreoffice.org/telecharger/ by "visitez
> https://github.com/alexkasko/openjdk-unofficial-builds".
> I don't know if there are other pages like this in other langages.

https://www.libreoffice.org/download/system-requirements/

A few instances of the string:
"For certain features of the software - but not most - Java is required. Java is notably required for Base."

We could put in a link to the KASKO Java builds from the Windows install section.

For QA/reproducibility purposes, it wouldn't be a bad idea for us to archive the builds we recommend for Windows, so that we could more easily "step back in time" to a particular recommended system config.
Comment 8 Jean-Baptiste Faure 2014-08-18 20:19:22 UTC
Closing as WontFix due to comment #6 requesting an outdated change on FR website.
FR website has changed and does not link to java.com anymore.

Best regards. JBF
Comment 9 david.vantyghem 2014-08-18 21:02:58 UTC
No, at https://www.libreoffice.org/get-help/system-requirements/ , its wrotten :
"For certain features of the software - but not most - Java is required. Java is notably required for Base."
-> should add a link to OpenSDK.
Comment 10 Joel Madero 2014-11-05 03:43:33 UTC
I think this should be marked as NEW - moving as such. 

To make this move faster I highly recommend emailing the website mailing list.
Comment 11 Jean-Baptiste Faure 2014-11-06 20:21:39 UTC
I think that we can't take the responsibility to recommend to install a non official build of OpenJDK.

Best regards. JBF
Comment 12 david.vantyghem 2014-11-06 20:28:01 UTC
Is it a bigger responsability than recommending to install non-free software Oracle JAVA ?
And it's possible to make a compilation of OpenJDK, like KASKO explain it.
Comment 13 Robinson Tryon (qubit) 2014-11-06 20:37:37 UTC
(In reply to Jean-Baptiste Faure from comment #11)
> I think that we can't take the responsibility to recommend to install a non
> official build of OpenJDK.

I think it's fine for us to recommend something provided by someone other than Oracle, and it's likely that Alex Kasko is a totally hoopy frood, but I would prefer for us to point to a project's download site, rather than a personal github repo. (Bus factor of "1", anyone?)

Is there a project that can provide these builds, and/or a plan for someone to continue Kasko's work?
Comment 14 Joel Madero 2014-11-06 20:39:45 UTC
That comparison is a bit . . . non sensical. I agree with JBF here.
Comment 15 david.vantyghem 2014-11-06 21:30:38 UTC
(In reply to Robinson Tryon (qubit) from comment #13)
> (In reply to Jean-Baptiste Faure from comment #11)
> > I think that we can't take the responsibility to recommend to install a non
> > official build of OpenJDK.
> 
> I think it's fine for us to recommend something provided by someone other
> than Oracle, and it's likely that Alex Kasko is a totally hoopy frood, but I
> would prefer for us to point to a project's download site, rather than a
> personal github repo. (Bus factor of "1", anyone?)
> 
> Is there a project that can provide these builds, and/or a plan for someone
> to continue Kasko's work?

Why doing a new project and not work with Alex KASKO , You can write to him, he answers to me each time I need help with OpenJDK. I'm trying OpenJDK with each JAVA software I add into COMPILIBRE USb key and he's helping me.
http://compilibre.sourceforge.net/index_fr-FR.html
Comment 16 Robinson Tryon (qubit) 2014-11-06 21:46:13 UTC
(In reply to david.vantyghem from comment #15)
> (In reply to Robinson Tryon (qubit) from comment #13)
> > ...but I
> > would prefer for us to point to a project's download site, rather than a
> > personal github repo. (Bus factor of "1", anyone?)
> > 
> > Is there a project that can provide these builds, and/or a plan for someone
> > to continue Kasko's work?
> 
> Why doing a new project and not work with Alex KASKO , You can write to him,
> he answers to me each time I need help with OpenJDK.

Sorry for the misunderstanding. My point re: the bus factor was that if 1-3 people at Oracle stop working on OpenJDK downloads (because they quit/get hit by a bus/or etc..), it's pretty reasonable to expect that other employees will take up the task. Unfortunately I only see 1 person (Kasko) maintaining the openjdk-unofficial-builds repo, so I'm concerned about recommending that repo as our primary source for Java builds on Windows.

Capiche?
Comment 17 Joel Madero 2014-11-06 21:57:56 UTC
Hm how about you write to him and report back instead of asking others to do the work for something that you want (no offense)....
Comment 18 david.vantyghem 2014-11-06 22:06:10 UTC
If LibreOffice says that the work of Alex KASKO is the official LibreOffice JAVA version, others people will join the project. And Libre Office is not the only software that begin to work with OpenJDK.
There are a lot of freesoftware projects or a lot of Debian packages or a lot of Firefox OS softwares that are maintained by one or 2 people.
And LibreOffice can use Alex KASKO Git repository or make another one on LibreOffice servers or whatever you want.
If you consider that a free software project must not be used nor helped because of the number of its maintainers, so you must use Windows or an iPhone and you will be quiet. I'm not sure that the number of maintainers is really a good indicator for choosing or not a free software, especially when you are using an awful proprietary software instead.
Comment 19 Joel Madero 2014-11-06 22:10:13 UTC
You are missing the point entirely - while we TRY to encourage open source our obligation is to ensure a stable product to our users. If there is one developer working on OpenJDK there is no way we're going to abandon what we use now.
Comment 20 david.vantyghem 2014-11-06 22:18:37 UTC
You mean that if some people stop to work on a piece of LibreOffice, you will always find more than one other people for continue their work ?
Comment 21 Joel Madero 2014-11-06 22:20:58 UTC
We have hundreds of developers....again, these comparisons are utterly useless. I recommend that if one more QA person disagrees with reporter that we close this as WONTFIX and if it's reopened again....we can take the appropriate steps.

Last time I accidentally set to NEW which was wrong, pushing back to UNCONFIRMED as so far there is 1 person (the reporter) in favor, and everyone else against or very hesitant.
Comment 22 Robinson Tryon (qubit) 2014-11-11 21:10:18 UTC
(In reply to david.vantyghem from comment #0)
> ...It would be great to add it to LibreOffice, so
> LibreOffice would become a 100 % free software.
> OpenJDK binaries : https://github.com/alexkasko/openjdk-unofficial-builds

FWIW, LibreOffice is 100% Free Software. It's up to the user if they want to run it on a Windows machine, or use a proprietary build of Java in conjunction with it...

(In reply to david.vantyghem from comment #18)
> There are a lot of freesoftware projects or a lot of Debian packages or a
> lot of Firefox OS softwares that are maintained by one or 2 people.

Oh, certainly. I just don't know anything about Alex, and I don't know if anyone else here does.

> If you consider that a free software project must not be used nor helped
> because of the number of its maintainers, so you must use Windows or an
> iPhone and you will be quiet.

*sigh*

The irony here is that this bug concerns running LibreOffice on *Windows*, a proprietary OS. Please remember that we're doing the best we can with the resources that we have.

> I'm not sure that the number of maintainers is
> really a good indicator for choosing or not a free software, especially when
> you are using an awful proprietary software instead.

Or we could just reduce our dependence on Java, too :-)

I think that you've got your heart in the right place, but I don't think that this current conversation in the bug tracker is convincing us that LibreOffice should include this particular build of Java with our Windows installers.

What about other 100% FOSS Windows builds of the OpenJDK? Seems like someone has a company that provides them, and it might be worth your time to investigate:
http://www.azulsystems.com/products/zulu

David, if you really want to see this through, here's how I suggest you do it:
1) Start testing LibreOffice against these Windows-based OpenJDK builds
2) Take some notes and see if you're running into any compatibility bugs
3) Help us to reduce the LibreOffice dependencies on Java
https://wiki.documentfoundation.org/Development/Java
4) Be patient

Thanks,
--R
Comment 23 Robinson Tryon (qubit) 2014-12-22 04:02:15 UTC
(In reply to Robinson Tryon (qubit) from comment #22)
> David, if you really want to see this through, here's how I suggest you do
> it:

Hiya David,
This bug has been sitting around for over a month. I'm more than happy to help you move forward with the proposal to use alternate Java builds.

I've thought a bit more, and here are some good steps:
- Test each new LibreOffice build (alpha, beta, RC, and release) on Windows with these Java builds
- Get a better picture of the long-term plans for these builds (is there more than just a 1-man show? who else is contributing?)
- Talk to QA about getting more people testing LO + these Java builds

Let me know about the game plan :-)

Best,
--R
Comment 24 Alex Thurgood 2015-01-03 17:38:00 UTC
Adding self to CC if not already on
Comment 25 QA Administrators 2015-07-18 17:35:02 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 26 QA Administrators 2015-09-04 03:00:21 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03